package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCW6 extends MwfRequest<MWFCW6, MWFCW6Response> {

    @Parameter(name = "BIRTH_NUMBER")
    MWFCW6 birthNumber(String birthNumber);
    @Parameter(name = "BUILD_NAME")
    MWFCW6 buildName(String buildName);
    @Parameter(name = "CHANNEL")
    MWFCW6 channel(String channel);
    @Parameter(name = "CLIENT_GROUP")
    MWFCW6 clientGroup(String clientGroup);
    @Parameter(name = "CLIENT_SIGNED")
    MWFCW6 clientSigned(String clientSigned);
    @Parameter(name = "CLIENT_TYPE")
    MWFCW6 clientType(String clientType);
    @Parameter(name = "CM_ID_IN")
    MWFCW6 cmIdIn(String cmIdIn);
    @Parameter(name = "CONTEXT")
    MWFCW6 context(Long context);
    @Parameter(name = "DOCUMENT_GROUP")
    MWFCW6 documentGroup(String documentGroup);
    @Parameter(name = "DOCUMENT_TYPE")
    MWFCW6 documentType(String documentType);
    @Parameter(name = "ID_APPL")
    MWFCW6 idAppl(String idAppl);
    @Parameter(name = "PRODUCT_TYPE")
    MWFCW6 productType(String productType);
    @Parameter(name = "PrintType")
    MWFCW6 printType(String printType);
    @Parameter(name = "RTP_NAME")
    MWFCW6 rtpName(String rtpName);
    @Parameter(name = "TIMESTAMP_SIGN")
    MWFCW6 timestampSign(java.util.Date timestampSign);
    @Parameter(name = "TRANSACTION_ID")
    MWFCW6 transactionId(String transactionId);
    @Parameter(name = "VALIDITY_FROM")
    MWFCW6 validityFrom(java.util.Date validityFrom);
    @Parameter(name = "VIEW_CLIENT")
    MWFCW6 viewClient(String viewClient);
    @Parameter(name = "WIDTH")
    MWFCW6 width(Long width);
    @Parameter(name = "XML")
    MWFCW6 xml(String xml);
}
